在阿里云服务器上安装不了dockers,也卸载不了原来的。


(dongai) #1

安装第一步: wget -qO- https://get.docker.com/ | sh
出现下面的情况:

  • sh -c docker version
    Client:
    Version: 18.09.1
    API version: 1.39
    Go version: go1.10.6
    Git commit: 4c52b90
    Built: Wed Jan 9 19:35:23 2019
    OS/Arch: linux/amd64
    Experimental: false

Server: Docker Engine - Community
Engine:
Version: 18.09.1
API version: 1.39 (minimum version 1.12)
Go version: go1.10.6
Git commit: 4c52b90
Built: Wed Jan 9 19:02:44 2019
OS/Arch: linux/amd64
Experimental: false
If you would like to use Docker as a non-root user, you should now consider
adding your user to the “docker” group with something like:

sudo usermod -aG docker your-user

Remember that you will have to log out and back in for this to take effect!

WARNING: Adding a user to the “docker” group will grant the ability to run
containers which can be used to obtain root privileges on the
docker host.
Refer to https://docs.docker.com/engine/security/security/#docker-daemon-attack-surface
for more information.

原来的版本也卸载不了,这里提示的sudo usermod -aG docker your-user
要怎么处理?


(Erick Guan) #2

你还是雇个人帮你安装吧…


(dongai) #3

谢谢,已经解决了,其实你知道可以直接说下,来这个论坛想学学前辈们的经验,毕竟前面没玩论坛,不过怎么感觉有种“倚老卖老”的感觉呢?
可能是这个论坛不够友好吧。


(Erick Guan) #4

这个安装正常的提示你都不读……还能怪别人。我佩服你。你自己读一遍你的帖子,你想问什么?问卸载?那你前面装了什么?
问怎么加群组,那是可选的,上面写的很清楚。几个词,初中英语就够。

另外你装 docker 的问题,我都在回答你。我才是客气的人。还有这个论坛也不用你玩,资料都是 CC 版权的。